## PIONS

![An image of a game of PIONS](pions.png)

**This game is still under development.**

To run the game, run pions.exe (Windows) or pions (non-Windows). When you try to do a game over the internet, you might
get a pop-up from Windows' firewall (you might have to alt-tab to see it).
You will probably need to let pions through the firewall for it to work.

### Overview

In PIONS, each side has a certain number of pieces called pions.
On your turn you can plan *move* and *attack* actions. They go from one hexagon (hex) to another hex in the grid (see the picture above).  
Move and attack actions each cost 50 points. You start your turn with 150 points, and every round, the starting point count is increased by 25.

When both players have planned their actions, the pieces move and attack according to the planned actions as follows:

1. Each pion does a move action if it can.
2. Each pion does as many attack actions as it can.
3. Repeat steps 1-2 until no one is doing any actions.

Whenever a pion does an action, the action is removed, so each action can only be used once per turn.  
If two pions try to move to the same hex, neither moves.  
When a pion is attacked, it is removed from the game. If two pions attack each other at the same time, they are both removed from the gmae.

### Controls

Left click a hex and then click another hex to plan a *move* action. You can also left click and drag.  
Right click a hex and then click another hex to plan an *attack* action. You can also use Shift + Left click.  
Middle click (press the mouse button) a hex to remove all actions associated with the hex. You can also use Ctrl + Left click.  
Press Control+R to remove all planned actions.  
When you've planned all of your actions, press space to finish your turn.

### Contact

If you want to report a bug, or have feedback or ideas, you can send an email to pommicket @ pommicket.com.

### Licensing

The code for the game is in the public domain, specifically it's under the [Unlicense](https://unlicense.org). A copy of the license has been provided in the file [UNLICENSE](UNLICENSE).

The assets for the game, including the "art" is also in the public domain, but this **does not include the font used by the game**, which [can be found on Google Fonts](https://fonts.google.com/specimen/Roboto) and is under the Apache license, version 2.0.
<p xmlns:dct="https://purl.org/dc/terms/" xmlns:vcard="https://www.w3.org/2001/vcard-rdf/3.0#">
  <a rel="license"
     href="https://creativecommons.org/publicdomain/zero/1.0/">
    <img src="https://i.creativecommons.org/p/zero/1.0/88x31.png" style="border-style: none;" alt="CC0" />
  </a>
  <br />
  To the extent possible under law,
  <a rel="dct:publisher"
     href="https://pommicket.com">
    <span property="dct:title">Leo Tenenbaum</span></a>
  has waived all copyright and related or neighboring rights to
  <span property="dct:title">assets for the game PIONS</span>.
This work is published from:
<span property="vcard:Country" datatype="dct:ISO3166"
      content="CA" about="pommicket.com">
  Canada</span>.
</p>
